
Redmine - Defect #32913

Rails 6: add filename header

2020-01-29 01:33 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

fixes

WikiControllerTest#test_show_versioned_txt [/redmine/test/functional/wiki_controller_test.rb:1133]

:

--- expected

+++ actual

@@ -1 +1 @@

-"attachment; filename=\"CookBook_documentation.txt\"" 

+"attachment; filename=\"CookBook_documentation.txt\"; filename*=UTF-8''CookBook_documentation.txt

" 

Related issues:

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Associated revisions

Revision 20891 - 2021-04-01 17:16 - Go MAEDA

Add filename header (#29914, #32913).

Patch by Pavel Rosický.

Revision 20901 - 2021-04-01 18:06 - Go MAEDA

Fix a test failure caused by an assert forgotten to be deleted (#29914, #32913).

History

#1 - 2020-01-29 08:24 - Marius BĂLTEANU

- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#2 - 2020-03-09 23:05 - Go MAEDA

- Category set to Rails support

#3 - 2021-03-30 18:31 - Marius BĂLTEANU

- Tracker changed from Patch to Defect

#4 - 2021-04-01 17:16 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch as a part of #29914.

Files

wiki_controller_test.rb.patch 2.61 KB 2020-01-29 Pavel Rosický
